Reply To: OpenGL context creation failed

Home Forums Support OpenGL context creation failed Reply To: OpenGL context creation failed

#20544
Tom
Keymaster

The cards Mikael mentioned are no longer sold. Also please note, that they represent the absolute minimum required to run Train Fever (and other games), not the optimum.

I´m not a hardware expert, so this is my personal opinion, on which other people might disagree, but at the moment I would suggest looking for a Radeon R7 250X or 260X as – again – a minimum for current games. If you can spend more consider a Radeon R7 370 or a GeForce GTX 950.

To my best knowledge they should support at least OpenGL 4.4 and Shader Model 5.0. Please double check with your vendor that your current PC is capable of running the card.

Also, in some cases a update to the latest driver version enables an older card to use a newer OpenGL versions or Shader Models.

Tom